curl --request POST \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/sponsored-brand \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Bola-Bola Ad campaign",
"slotId": "<string>",
"schedule": [
{
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
],
"content": {},
"bids": [
{
"target": {
"id": "p_8983",
"type": "product"
},
"triggers": [
{
"type": "categories",
"value": {
"fromProduct": "<string>"
}
}
],
"formatProperties": {
"imageAssets": [
{
"height": 123,
"width": 123,
"contentType": "<string>",
"contentLength": 123,
"url": "<string>"
}
]
},
"amount": "<unknown>",
"location": "Santiago"
}
],
"budget": {
"amount": 1000,
"type": "daily"
},
"isActive": true,
"status": "approved",
"externalCampaignId": "<string>",
"isAutoTrigger": false,
"slotIds": [
"<string>"
],
"walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetRoas": 15.25,
"chargeType": "CPC",
"autobiddingObjective": "clicks",
"multiplierConfig": {
"isActive": true,
"multipliers": [
{
"type": "user_segment",
"segmentId": "<string>",
"multiplier": 123
}
]
},
"targetingFilters": {
"isActive": true,
"targetingFilters": [
{
"type": "user_segment",
"segmentId": "<string>"
}
]
},
"exclusionFilters": {
"isActive": true,
"exclusionFilters": [
{
"type": "user_segment",
"segmentId": "<string>"
}
]
}
}
'import requests
url = "https://api.topsort.com/public/v1/campaign-service/campaigns/sponsored-brand"
payload = {
"name": "Bola-Bola Ad campaign",
"slotId": "<string>",
"schedule": [
{
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
],
"content": {},
"bids": [
{
"target": {
"id": "p_8983",
"type": "product"
},
"triggers": [
{
"type": "categories",
"value": { "fromProduct": "<string>" }
}
],
"formatProperties": { "imageAssets": [
{
"height": 123,
"width": 123,
"contentType": "<string>",
"contentLength": 123,
"url": "<string>"
}
] },
"amount": "<unknown>",
"location": "Santiago"
}
],
"budget": {
"amount": 1000,
"type": "daily"
},
"isActive": True,
"status": "approved",
"externalCampaignId": "<string>",
"isAutoTrigger": False,
"slotIds": ["<string>"],
"walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetRoas": 15.25,
"chargeType": "CPC",
"autobiddingObjective": "clicks",
"multiplierConfig": {
"isActive": True,
"multipliers": [
{
"type": "user_segment",
"segmentId": "<string>",
"multiplier": 123
}
]
},
"targetingFilters": {
"isActive": True,
"targetingFilters": [
{
"type": "user_segment",
"segmentId": "<string>"
}
]
},
"exclusionFilters": {
"isActive": True,
"exclusionFilters": [
{
"type": "user_segment",
"segmentId": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Bola-Bola Ad campaign',
slotId: '<string>',
schedule: [{startDate: '2023-11-07T05:31:56Z', endDate: '2023-11-07T05:31:56Z'}],
content: {},
bids: [
{
target: {id: 'p_8983', type: 'product'},
triggers: [{type: 'categories', value: {fromProduct: '<string>'}}],
formatProperties: {
imageAssets: [
{
height: 123,
width: 123,
contentType: '<string>',
contentLength: 123,
url: '<string>'
}
]
},
amount: '<unknown>',
location: 'Santiago'
}
],
budget: {amount: 1000, type: 'daily'},
isActive: true,
status: 'approved',
externalCampaignId: '<string>',
isAutoTrigger: false,
slotIds: ['<string>'],
walletId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
targetRoas: 15.25,
chargeType: 'CPC',
autobiddingObjective: 'clicks',
multiplierConfig: {
isActive: true,
multipliers: [{type: 'user_segment', segmentId: '<string>', multiplier: 123}]
},
targetingFilters: {
isActive: true,
targetingFilters: [{type: 'user_segment', segmentId: '<string>'}]
},
exclusionFilters: {
isActive: true,
exclusionFilters: [{type: 'user_segment', segmentId: '<string>'}]
}
})
};
fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/sponsored-brand', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "<string>",
"name": "Bola-Bola Ad campaign",
"isActive": true,
"status": "approved",
"isAutoTrigger": true,
"slotId": "<string>",
"schedule": [
{
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
],
"content": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bidType": "manual",
"isAgency": true,
"chargeType": "CPM",
"budget": {
"amount": 1000,
"amountRemaining": 123,
"amountCarryover": 123,
"amountUsed": 123,
"type": "daily"
},
"externalCampaignId": "<string>",
"walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetRoas": 15.25,
"targetRoasPreference": "aggressive",
"autobiddingObjective": "impressions",
"multiplierConfig": {
"isActive": true,
"multipliers": [
{
"type": "user_segment",
"segmentId": "<string>",
"multiplier": 123
}
]
},
"targetingFilters": {
"isActive": true,
"targetingFilters": [
{
"type": "user_segment",
"segmentId": "<string>"
}
]
},
"exclusionFilters": {
"isActive": true,
"exclusionFilters": [
{
"type": "user_segment",
"segmentId": "<string>"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create a sponsored brand campaign.
Create a regular sponsored brand campaign using external vendor and slot identifiers. Only V2 sponsored brand campaigns are supported.
Autorizações
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Parâmetros de consulta
The ID of the vendor.
1Corpo
Request body for creating a public sponsored brand campaign.
The name of the campaign.
1"Bola-Bola Ad campaign"
The external slot ID where the sponsored brand campaign will be shown.
1The schedule for the campaign.
1 elementShow child attributes
Show child attributes
Dynamic content validated against the slot's JSON template.
An array of bids for this campaign.
1 - 500 elementsShow child attributes
Show child attributes
The bidding type of the campaign.
manual, autobidding The assigned budget for the campaign.
Show child attributes
Show child attributes
Whether the campaign should be activated upon creation.
The initial review status of the sponsored brand campaign.
approved, pending, rejected The external ID of the campaign in the marketplace.
Whether the campaign is auto-triggered.
Additional external slot IDs. If present, each ID replicates the whole bid set.
10The uuid of the wallet used with this campaign.
Indicates the vendor's target return on ad spend.
0.5 <= x <= 30Target ROAS preference label.
aggressive, conservative, moderate, custom How campaigns are charged.
CPM, CPC, CPA The objective of the campaign.
impressions, clicks, conversions, revenue The multipliers of the campaign.
Show child attributes
Show child attributes
The segments that the campaign will participate for.
Show child attributes
Show child attributes
The segments that the campaign will not target.
Show child attributes
Show child attributes
Resposta
Successful Response
A regular sponsored brand campaign returned by the public API.
The ID of the campaign.
The ID of the marketplace.
The external vendor ID.
The name of the campaign.
1"Bola-Bola Ad campaign"
Whether the campaign is active.
The approval status of the sponsored brand campaign.
approved, pending, rejected Whether the campaign is auto-triggered.
The external slot ID where the sponsored brand campaign is shown.
The schedule for the campaign.
1 elementShow child attributes
Show child attributes
Dynamic content validated against the slot's JSON template.
When this campaign was created.
When this campaign was last updated.
The bidding type of the campaign.
manual, autobidding Whether this campaign is promoted by an agency.
How campaigns are charged.
CPM, CPC, CPA The assigned budget for the campaign.
Show child attributes
Show child attributes
The external ID of the campaign in the marketplace.
The uuid of the wallet used with this campaign.
Indicates the vendor's target return on ad spend.
0.5 <= x <= 30Target ROAS preference label.
aggressive, conservative, moderate, custom The objective of the campaign.
impressions, clicks, conversions, revenue The multipliers of the campaign.
Show child attributes
Show child attributes
The segments that the campaign will participate for.
Show child attributes
Show child attributes
The segments that the campaign will not target.
Show child attributes
Show child attributes
Esta página foi útil?